Package io.flutter.embedding.engine.systemchannels

## Class NavigationChannel

- java.lang.Object
- - io.flutter.embedding.engine.systemchannels.NavigationChannel

-     public class NavigationChannel
      extends Object

  TODO(mattcarroll): fill in javadoc for NavigationChannel.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `MethodChannel` | `channel` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NavigationChannel​(DartExecutor dartExecutor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `popRoute()` |
    `void` | `pushRoute​(String route)` |
    `void` | `pushRouteInformation​(String route)` |
    `void` | `setInitialRoute​(String initialRoute)` |
    `void` | `setMethodCallHandler​(MethodChannel.MethodCallHandler handler)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### channel

          @NonNull
          public final MethodChannel channel

  - ### Constructor Detail

    - #### NavigationChannel

          public NavigationChannel​(@NonNull
                                   DartExecutor dartExecutor)

  - ### Method Detail

    - #### setInitialRoute

          public void setInitialRoute​(@NonNull
                                      String initialRoute)

    - #### pushRoute

          public void pushRoute​(@NonNull
                                String route)

    - #### pushRouteInformation

          public void pushRouteInformation​(@NonNull
                                           String route)

    - #### popRoute

          public void popRoute()

    - #### setMethodCallHandler

          public void setMethodCallHandler​(@Nullable
                                           MethodChannel.MethodCallHandler handler)